<?php

/**
 * The file that defines the core plugin configurator class
 *
 * @link       https://wpconfiguratorbuilder.com
 * @since      1.0.0
 *
 * @package    wcb-configurator-builder
 * @subpackage wcb-configurator-builder/includes
 */

if ( ! defined('ABSPATH') ) {
	die();
}

use Carbon_Fields\Block;
use Carbon_Fields\Field;

Block::make( __( 'WCB Summary', 'wcb-configurator-builder' ) )
	->add_fields( array(
		Field::make( 'html', 'wpcb_summary' )
			->set_html( '<b>' . __( 'Summary', 'wcb-configurator-builder' ) . '</b>' ),
	))
	->set_description( __( 'Displays configuration summary in the configuration form', 'wcb-configurator-builder' ) )
	->set_keywords(['wcb', 'summary'])
	->set_category( 'wpcb-formatting', __( 'Formatting', 'wcb-configurator-builder' ) )
	->set_icon( 'editor-ul' )
	->set_mode( 'edit' )
	->set_render_callback( function ( $fields, $attributes, $inner_blocks ) {
		if ( is_admin() ) {
			return;
		}
		
		// include block partial

	});